For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTReport Event
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceEvents

Report Event

POST
https://api-sandbox.coinflow.cash/api/events
POST
/api/events
$curl -X POST https://api-sandbox.coinflow.cash/api/events \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "eventType": "SignUp",
> "customerId": "c1234567890abcdef",
> "username": "johndoe92",
> "country": "US",
> "email": "johndoe92@example.com",
> "firstName": "John",
> "lastName": "Doe"
>}'
200Successful
1{}
This endpoint is for reporting Chargeback Protection Events throughout your customer's application lifecycle. The goal of this endpoint is for reporting events to the chargeback protection system to that it can evaluate timing and take note of significant events which will occur in a user's lifecycle. The end goal of collecting this information is to increase approval rates (lower false positives) and reduce fraud and chargebacks (lower false negatives). When calling these API's it is highly encouraged to pass as much information as possible. The more information provided, the better the outcomes will be. Implementing this API will help to increase your revenue via higher approval rates, while reducing your account's risk of becoming flagged by one of the card brands for excessive chargebacks.
Was this page helpful?
Previous

Gets USDC/SBC/EuroE on testnets

Next
Built with

This endpoint is for reporting Chargeback Protection Events throughout your customer’s application lifecycle.

The goal of this endpoint is for reporting events to the chargeback protection system to that it can evaluate timing and take note of significant events which will occur in a user’s lifecycle. The end goal of collecting this information is to increase approval rates (lower false positives) and reduce fraud and chargebacks (lower false negatives). When calling these API’s it is highly encouraged to pass as much information as possible. The more information provided, the better the outcomes will be.

Implementing this API will help to increase your revenue via higher approval rates, while reducing your account’s risk of becoming flagged by one of the card brands for excessive chargebacks.

Authentication

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
SignUpEventobjectRequired

Sign up event - Call this event when your customer signs up for your service.

OR
BuyerChallengeEventobjectRequired

The Buyer Challenge Event type is for reporting any type of verification on the buyer. ex: Email verification link, SMS 2FA text, buyer is KYC’d

OR
SignInFailureEventobjectRequired

Sign In Failure event - Call this event when a customer attempts to sign into your service, but sign in attempt is unsuccessful.

OR
SignInEventobjectRequired

Sign in event - Call this event when your customer signs into your service.